Subject: Re: [PATCH v3 4/4] maintenance: optionally use systemd timers on Linux

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Mon, 24 May 2021 09:03:59 +0200

On Sun, May 23 2021, brian m. carlson wrote:

> [[PGP Signed Part:Undecided]]
> On 2021-05-23 at 18:36:10, Felipe Contreras wrote:
>> Johannes Schindelin wrote:
>> > On Fri, 21 May 2021, Derrick Stolee wrote:
>> > 
>> > > On 5/21/2021 5:59 AM, Bagas Sanjaya wrote:
>> > > > On 21/05/21 05.13, Lénaïc Huard wrote:
>> > > >> The existing mechanism for scheduling background maintenance is done
>> > > >> through cron. On Linux systems managed by systemd, systemd provides an
>> > > >> alternative to schedule recurring tasks: systemd timers.
>> > > >>
>> > > >> The main motivations to implement systemd timers in addition to cron
>> > > >> are:
>> > > >> * cron is optional and Linux systems running systemd might not have it
>> > > >>    installed.
>> > > >> * The execution of `crontab -l` can tell us if cron is installed but not
>> > > >>    if the daemon is actually running.
>> > > >> * With systemd, each service is run in its own cgroup and its logs are
>> > > >>    tagged by the service inside journald. With cron, all scheduled tasks
>> > > >>    are running in the cron daemon cgroup and all the logs of the
>> > > >>    user-scheduled tasks are pretended to belong to the system cron
>> > > >>    service.
>> > > >>    Concretely, a user that doesn’t have access to the system logs won’t
>> > > >>    have access to the log of its own tasks scheduled by cron whereas he
>> > > >>    will have access to the log of its own tasks scheduled by systemd
>> > > >>    timer.
>> > > >
>> > > > For gender neutrality, we can use he/she instead.
>> > >
>> > > Singular "they" is better. Fully accurate and less awkward.
>> > 
>> > I agree.
>> 
>> I disagree.
>
> I'm fully in support of singular "they".  It provides a useful pronoun
> to use in this context, is widely understood and used, is less awkward
> than "he/she," and is less sexist than the indefinite "he."

I think we should be the most concerned about the lack of inclusivity
and chilling effect in us being overly picky about the minute details of
commit message wording, long past the point of practical utility.

In this particular case the context is a discussion about "a user" on a
*nix system and what they do and don't have access to.

I think it's a particularly misguided distraction to argue about
he/she/they here, since the most accurate thing would really be "it".

At least on my *nix systems most users are system users, and don't map
to any particular human being, but I digress.

I would like to encourage people in this thread who are calling for a
change in wording here to consider whether this sort of discussion is a
good use of the ML's time, and the chilling effect of being overly picky
when many contributors are working in their second, third etc. language.

Personally I don't care whether someone submits a patch where their
commit message discusses an example of "he", "she", "they", "it" or
whatever. It's just meant as an example, and not some statement about
what the gender (or lack thereof) of such a user *should* be.

It's immediately obvious what the author meant in this case, and that
the particular wording is arbitrary. For the purposes of discussing the
contribution it matters whether it's unclear or ambiguous, which it's
not.